<?php
include_once '../controllers/SubcategoriaController.php';
$subcategoria = new SubcategoriaController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    throw new Exception('No se especificó ninguna acción');
}

switch ($action) {
    case 'getSubcategorias':
        $subcategoria->getSubcategorias();
        break;
    case 'getActiveCategories':
        $subcategoria->getActiveCategories();
        break;
    case 'addSubcategoria':
        $subcategoria->addSubcategoria();
        break;
    case 'getSubcategoria':
        $subcategoria->getSubcategoria();
        break;
    case 'updateSubcategoria':
        $subcategoria->updateSubcategoria();
        break;
    case 'deleteSubcategoria':
        $subcategoria->deactivateSubcategoria();
        break;
    case 'activateSubcategoria':
        $subcategoria->activateSubcategoria();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
}