<?php
include_once '../controllers/ProductosController.php';

$producto = new ProductosController();

if (isset($_POST['action'])) {
    $action = $_POST['action'];
} else {
    throw new Exception('No se especificó ninguna acción');
}

switch ($action) {
    case 'getProductos':
        $producto->getProductos();
        break;
    case 'getProducto':
        $producto->getProducto();
        break;
    case 'getActiveSubcategorias':
        $producto->getActiveSubcategorias();
        break;
    case 'createProducto':
        $producto->createProducto();
        break;
    case 'updateProducto':
        $producto->updateProducto();
        break;
    case 'deleteProducto':
        $producto->deleteProducto();
        break;
    case 'activateProducto':
        $producto->activateProducto();
        break;
    default:
        echo json_encode(['status' => 'error', 'message' => 'Acción no válida']);
}