<?php
include 'views/header.php'; ?>

<div class="container-div">
    <h2>Sub Categorías</h2>
    <p>En este catálogo puedes ver, editar y eliminar sub categorías.</p>
    <div class="project-actions">
        <button class="btn btn-add" data-bs-toggle="modal" data-bs-target="#addSubcategoryModal">Agregar Sub categoría</button>
    </div>
    <table id="subcategoryTable" class="display">
        <thead>
            <tr>
                <th>#</th>
                <th>Sub Categoría / Categoría (ES)</th>
                <th>Sub Categoría / Categoría (EN)</th>
                <th>Destacado</th>
                <th>Status</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
</div>

<div class="modal fade" id="addSubcategoryModal" tabindex="-1" aria-labelledby="addSubcategoryModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-dialog-scrollable">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addSubcategoryModalLabel">Añadir Sub Categoría</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form id="addSubcategoryForm">
                    <input type="hidden" id="id_subcategoria" name="id_subcategoria" value="">
                    <div class="mb-3">
                        <div class="row">
                            <div class="col-md-12">
                                <label for="nombre_es" class="form-label">Nombre en Español</label>
                                <input type="text" class="form-control" id="nombre_es" name="nombre_es" required>
                            </div>
                        </div>
                    </div>
                    <div class="mb-3">
                        <div class="row">
                            <div class="col-md-12">
                                <label for="nombre_en" class="form-label">Nombre en Inglés</label>
                                <input type="text" class="form-control" id="nombre_en" name="nombre_en" required>
                            </div>
                        </div>
                    </div>

                    <div class="mb-3">
                        <div class="row">
                            <div class="col-md-12">
                                <label for="id_cat" class="form-label">Categoría</label>
                                <select class="form-select" id="id_cat" name="id_cat" required>
                                    <option value="">Selecciona una categoría</option>
                                </select>
                            </div>
                        </div>
                    </div>

                    <div class="mb-3">
                        <div class="row">
                            <div class="col-md-6">
                                <label for="destacado" class="form-label">Destacado</label>
                                <select class="form-select" id="destacado" name="destacado" required>
                                    <option value="">Selecciona una opción</option>
                                    <option value="1">Sí</option>
                                    <option value="0">No</option>
                                </select>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                <button type="button" id="btn-save-subcategory" class="btn btn-primary">Guardar Sub categoría</button>
            </div>
        </div>
    </div>
</div>

<?php include 'views/footer.php'; ?>